# Generated from lorca-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lorca

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: Passphrase, and password generator
License: ISC
URL: https://notabug.org/rem/lorca
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(hanna-nouveau) >= 1.0
# BuildRequires: rubygem(hanna-nouveau) < 2
# BuildRequires: rubygem(hanna-nouveau) >= 1.0.3
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.11.3
# BuildRequires: rubygem(minitest-unordered) >= 1.0
# BuildRequires: rubygem(minitest-unordered) < 2
# BuildRequires: rubygem(minitest-unordered) >= 1.0.2
# BuildRequires: rubygem(minitest-proveit) >= 1.0.0
# BuildRequires: rubygem(minitest-proveit) >= 1.0
# BuildRequires: rubygem(minitest-proveit) < 2
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-autotest) < 2
# BuildRequires: rubygem(minitest-autotest) >= 1.0.3
BuildArch: noarch

%description
Lorca is a passphrase generator based on diceware made available by the EFF.
Passwords, and pins are handle by the system's pseudo-random generator.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/lorca
%license %{gem_instdir}/License.md
%{gem_instdir}/Manifest.md
%{gem_instdir}/Security.md
%{gem_instdir}/_expand_lib_path.rb
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog.md
%doc %{gem_instdir}/ReadMe.md
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 0.5.0-1
- Initial package
